@media screen and (min-width: 320px) and (max-width: 1180px) {
  .welcome.container {
    margin-bottom: 19rem;
  }

  .search-box input[type="text"] {
    width: 90% !important;
    border-bottom: 1px solid #80808066;
  }

  h1.moi-title {
    width: 95%;
    font-size: 25px;
  }

  form.search-box select {
    width: 90%;
    border-bottom: 1px solid #80808066;
  }

  .footer-container {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .footer-info {
    width: 100%;
  }

  .footer-news h3 {
    font-size: 16px;
  }

  .footer-links ul li a {
    font-size: 19px;
  }

  .show ul.navbar-nav {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .navbar-collapse.collapse.show {
    position: absolute;
    background: white;
    width: 100%;
    right: 3%;
    z-index: 9;
  }

  nav.navbar.navbar-expand-lg.nav-menu {
    position: initial;
  }

  button.navbar-toggler {
    background: transparent;
    border: none;
    color: #126464d9;
  }

  button.navbar-toggler svg {
    width: 50px;
    height: 50px;
  }

  .logo {
    width: 100%;
  }

  header .container {
    padding: 0;
    width: 100%;
  }

  a.upload-btn {
    display: none;
  }

  nav.navbar.navbar-expand-lg.nav-menu {
    position: initial;
    margin-bottom: 0;
    padding: 0;
  }

  /*========== About ============*/
  .goals-beside {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
    justify-items: center;
  }

  .moi-title {
    font-size: 30px;
  }

  .goal-idea {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .goal-idea p {
    line-height: normal;
    font-size: 16px;
    width: 80%;
    margin: 0 auto;
  }

  .goal-idea > * {
    width: 95%;
  }

  .goal-idea .goal::before {
    width: 65px;
    height: 65px;
    right: 0;
  }

  .goal-idea .goal {
    padding: 2rem 1rem;
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
  }

  .goal-idea .goal:after {
    bottom: -8px;
    right: -5px;
    width: 95%;
    height: 90%;
    border-radius: 25px;
    border: 2px solid var(--bao-color);
  }

  .goal-idea .idea:before {
    width: 65px;
    height: 65px;
    left: 0;
    top: 0;
  }

  .goal-idea .idea {
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
    margin-top: 6rem;
    padding: 2rem 1rem;
  }

  .goal-idea .idea:after {
    bottom: 19px;
    left: -9px;
    width: 95%;
    height: 98%;
    border-radius: 25px;
    border: 2px solid var(--ba-color);
  }

  .about h2 {
    font-size: 20px;
  }

  .first-gitem {
    padding: 1rem;
    margin: 0rem;
    width: 90%;
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
  }

  .goal-item span {
    font-weight: bold;
    position: absolute;
    border-radius: 100%;
    border: 1px solid var(--m-color);
    padding: 5px 15px;
    top: -24px;
    font-size: 17px;
    background: var(--w-color);
    right: 45%;
  }

  .goal-item p {
    font-size: 17px;
    line-height: normal;
    margin: 1rem;
  }

  .goal-item:after {
    content: '';
    position: absolute;
    top: 7px;
    right: -10px;
    width: 96%;
    height: 102%;
    border-radius: 15px;
    z-index: -1;
    border: 2px solid var(--ba-color);
    background: transparent;
    opacity: 0.8;
  }

  .goal-item {
    font-size: 21px;
    position: relative;
    padding: 1rem;
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
    margin-bottom: 5rem;
    width: 90%;
  }

  .goal-item:nth-child(odd):after {
    content: '';
    position: absolute;
    top: 9px;
    right: -7px;
    width: 99%;
    height: 100%;
    border-radius: 15px;
    z-index: -1;
    border: 2px solid var(--bao-color);
    background: transparent;
  }

  .goals-beside .goal-item:nth-child(even) {
    position: relative;
    padding: 1rem;
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
  }


  /* ======= Add  Association ============*/
  .add-association .form-row {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
    flex-direction: column;
    align-items: center;
  }

  .add-association .moi-form {
    padding: 1rem;
    padding-top: 7rem;
  }

  .add-association .moi-form-title,
  .moi-form-title {
    font-weight: bold;
    font-size: 28px;
    margin: 0;
    margin-bottom: 6rem;
  }

  .add-association .form-row .form-group {
    width: 90%;
  }

  .add-association .moi-form::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background: #ffffff;
    border-radius: 25px;
    border: 1px solid #0A6F6F38;
    box-shadow: 0px 3px 12px 0px #00000014;
  }

  .asoo-info {
    padding: 1rem;
    margin: 3rem auto;
    width: 100%;
    position: relative;
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;

  }

  .asoo-info #asso-logo {
    height: 11rem;
  }

  .asso-details-opinion .ratins {
    position: relative;
    width: 90%;
  }

  .asso-details-opinion {
    width: 99% !important;

  }

  .asso-box-right > h3 {
    margin: 7px auto;
    font-weight: bold;
    font-size: 17px;
  }

  .asoo-info:after {
    content: '';
    position: absolute;
    right: -9px;
    width: 98%;
    height: 98%;
    border-radius: 13px;
    z-index: -1;
    border: 2px solid var(--ba-color);
    background: transparent;
  }

  .asso-details {
    padding: 1rem;
    padding-bottom: 5rem;
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
    margin-bottom: 2rem;
    width: 100%;
  }

  .asso-details-item {
    margin-bottom: 2rem;
    margin-top: 2rem;
  }

  .asso-details-item h4 {
    font-size: 17px;
    font-weight: bold;
    background: var(--adi-title-color);
    padding-top: 1rem;
    padding-bottom: 1rem;
    border-top-right-radius: 15px;
    border-top-left-radius: 15px;
    margin: 0;
    width: 60%;
  }

  .asso-details-item p {
    font-weight: bold;
    color: var(--a-color);
    background: var(--adi-info-color);
    padding-top: 2rem;
    padding-bottom: 2rem;
    border-radius: 10px;
    width: 90%;
  }

  .moi-title:after {
    width: 200px;
  }


  /*=====  ASSOCIATION     =====*/
  .all-items {
    display: grid;
    align-items: center;
    grid-template-columns: repeat(1, 1fr);
    margin-bottom: 2rem;
    gap: 20px;
    justify-items: center;
  }

  .all-items .asso-item {
    padding: 1rem;
    position: relative;
    display: inline-block;
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
    width: 95%;
    padding-bottom: 3rem;
    margin-bottom: 2rem;
  }

  .asso-title img {
    height: 40%;
    width: 40%;
    border-radius: 50%;
    margin-inline-end: 1rem;
  }

  .asso-title h2 {
    font-size: 20px;
    margin: 0;
    font-weight: bold;
  }

  .asso-item > p {
    font-size: 20px;
    color: var(--m-color);
    text-align: right;
  }

  .asso-fields {
    display: grid;
    align-items: center;
    grid-template-columns: repeat(2, 1fr);
    margin-bottom: 2rem;
  }

  .asso-item:after {
    content: '';
    position: absolute;
    bottom: -12px;
    right: -10px;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    z-index: -1;
    border: 2px solid var(--bao-color);
    background: transparent;
  }

  .asso-item:nth-child(even):after {
    border: 2px solid var(--ba-color);
  }

  /*=========== categories =================*/
  .adjust-cards {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
  }

  .card {
    width: 280px;
  }

  .moi-card:after {
    content: '';
    position: absolute;
    bottom: 47px;
    left: 12px;
    width: 280px;
    height: 250px;
    border-radius: 60px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 0;
    border: 5px solid var(--bao-color);
  }

  /*======== Category ============*/
  .info-box {
    max-width: 300px;
  }

  /*======= Contact ========*/
  .moi-form-title {
    font-weight: bold;
    font-size: 20px;
    margin: 0;
    margin-bottom: 2rem;
    margin-top: 2rem;
  }

  .moi-form {
    width: 95%;
    padding: 2rem;
    margin-bottom: 1rem;
    background: #FFFFFF;
    border: 2px solid #042D2D36;
    border-radius: 15px;
    box-shadow: 0px 4px 12px 0px #0000002E;
  }

  .moi-form::after {
    background-image: none;
    visibility: hidden;
    display: none;
  }

  .contact-footer {
    margin-top: 4rem;
    text-align: center;
  }

  .contact-footer ul {
    justify-content: center;
  }

  /*======== file page ==========*/
  .file-page .container {
    align-items: flex-start;
    flex-direction: column;
  }

  .file-page .container {
    margin: 0;
    padding: 0;
  }

  .file-details {
    padding: 20px;
    width: 100%;
    text-align: center;
    background: #FFFFFF;
    border: 2px solid #042D2D36;
    border-radius: 15px;
    box-shadow: 0px 4px 12px 0px #0000002E;
  }

  .file-details h1 {
    font-size: 18px;
    margin-bottom: 10px;
    color: var(--m-color);
    line-height: 25px;
    font-weight: bold;
  }

  .rating-section .moi-flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 2rem auto;
    flex-direction: column;
  }

  .rating-section .ratins {
    width: 100%;
  }

  .comment-section form {
    padding: 7px;
    background: none;
  }

  .file-info {
    padding: 27px;
    width: 95%;
    margin-top: 2rem;
    background: #FFFFFF;
    border: 2px solid #042D2D36;
    border-radius: 15px;
    box-shadow: 0px 4px 12px 0px #0000002E;
    margin-bottom: 2rem;
  }

  .file-link a {
    font-size: 9px;
  }

  ul.navbar-nav {
    padding-bottom: 2rem;
    border-radius: 12px;
  }

  /*==========  forget-password  ================*/
  .otp-input {
    width: 10vw !important;
    height: 10vw !important;
  }

  /*======== home =============*/
  .welcome h2 {
    font-size: 25px;
  }

  .container {
    width: 95%;
  }

  .search-container {
    height: 85vh;
  }

  .search-box {
    width: 95%;
    margin-bottom: 15rem;
    flex-direction: column;
    align-content: center;
  }

  .search-box input[type="text"] {
    width: 300px;
    border-radius: 0;
    border-left: none;
    text-align: center;
  }

  .search-box img {
    display: none;
  }

  .search-box button {
    margin: 0 auto;
  }

  form.search-box > * {
    margin-bottom: 2rem;
  }

  /*=========== profile ============*/
  .input-section {
    grid-template-columns: repeat(1, 1fr);
  }

  .input-data {
    padding: 10px 1px;
    font-size: 14px;
    background: #FFFFFF;
    border: 2px solid #042D2D36;
    border-radius: 15px;
    box-shadow: 0px 4px 12px 0px #0000002E;
    text-align: center;
  }

  .input-data img {
    height: 25px;
    width: 25px;
    float: left;
    margin-left: 37px;
  }

  /*======== Reseet Password ======*/
  .reset-password .moi-form {
    padding: 1rem;
  }

  .tab {
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 2rem;
    margin-top: -10px;
  }

  .counters-sec {
    width: 100%;
  }

  .counters-sec .boxes {
    justify-content: center;
  }

  .counters-sec .boxes .box {
    margin-bottom: 20px;
  }

}

@media screen and (min-width: 768px) and (max-width: 1281px) {

  /*========== About ============*/
  .goals-beside {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
    justify-items: center;
  }

  .moi-title {
    font-size: 30px;
  }

  .goal-idea {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .goal-idea p {
    line-height: normal;
    font-size: 16px;
    width: 80%;
    margin: 0 auto;
  }

  .goal-idea > * {
    width: 95%;
  }

  .goal-idea .goal::before {
    width: 65px;
    height: 65px;
    right: 0;
  }

  .goal-idea .goal {
    padding: 2rem 1rem;
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
  }

  .goal-idea .goal:after {
    bottom: -8px;
    right: -5px;
    width: 95%;
    height: 90%;
    border-radius: 25px;
    border: 2px solid var(--bao-color);
  }

  .goal-idea .idea:before {
    width: 65px;
    height: 65px;
    left: 0;
    top: 0;
  }

  .goal-idea .idea {
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
    margin-top: 6rem;
    padding: 2rem 1rem;
  }

  .goal-idea .idea:after {
    bottom: 19px;
    left: -9px;
    width: 95%;
    height: 98%;
    border-radius: 25px;
    border: 2px solid var(--ba-color);
  }

  .about h2 {
    font-size: 20px;
  }

  .first-gitem {
    padding: 1rem;
    margin: 0rem;
    width: 90%;
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
  }

  .goal-item span {
    font-weight: bold;
    position: absolute;
    border-radius: 100%;
    border: 1px solid var(--m-color);
    padding: 5px 15px;
    top: -24px;
    font-size: 17px;
    background: var(--w-color);
    right: 45%;
  }

  .goal-item p {
    font-size: 17px;
    line-height: normal;
    margin: 1rem;
  }

  .goal-item:after {
    content: '';
    position: absolute;
    top: 7px;
    right: -10px;
    width: 96%;
    height: 102%;
    border-radius: 15px;
    z-index: -1;
    border: 2px solid var(--ba-color);
    background: transparent;
    opacity: 0.8;
  }

  .goal-item {
    font-size: 21px;
    position: relative;
    padding: 1rem;
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
    margin-bottom: 5rem;
    width: 90%;
  }

  .goal-item:nth-child(odd):after {
    content: '';
    position: absolute;
    top: 9px;
    right: -7px;
    width: 99%;
    height: 100%;
    border-radius: 15px;
    z-index: -1;
    border: 2px solid var(--bao-color);
    background: transparent;
  }

  .goals-beside .goal-item:nth-child(even) {
    position: relative;
    padding: 1rem;
    background: #fff;
    border-radius: 15px;
    border: 1px solid #1C06491F;
    box-shadow: 0px 4px 12px 0px #0000002E;
  }


  /* ======= Add  Association ============*/
  .add-association .form-row {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
    flex-direction: column;
    align-items: center;
  }

  .add-association .moi-form {
    padding: 1rem;
    padding-top: 7rem;
  }

  .add-association .moi-form-title,
  .moi-form-title {
    font-weight: bold;
    font-size: 28px;
    margin: 0;
    margin-bottom: 6rem;
  }

  .add-association .form-row .form-group {
    width: 90%;
  }

  .add-association .moi-form::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background: #ffffff;
    border-radius: 25px;
    border: 1px solid #0A6F6F38;
    box-shadow: 0px 3px 12px 0px #00000014;
  }

  /*=====  ASSOCIATION     =====*/
  .all-items {
    display: grid;
    align-items: center;
    grid-template-columns: repeat(1, 1fr);
    margin-bottom: 2rem;
    gap: 20px;
    justify-items: center;
  }

  /*=========== categories =================*/
  .adjust-cards {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
  }

  /*======== Category ============*/
  .info-box {
    max-width: 300px;
  }

  /*======= Contact ========*/
  .moi-form-title {
    font-weight: bold;
    font-size: 20px;
    margin: 0;
    margin-bottom: 2rem;
    margin-top: 2rem;
  }

  .moi-form {
    width: 95%;
    padding: 2rem;
    margin-bottom: 1rem;
    background: #FFFFFF;
    border: 2px solid #042D2D36;
    border-radius: 15px;
    box-shadow: 0px 4px 12px 0px #0000002E;
  }

  .moi-form::after {
    background-image: none;
    visibility: hidden;
    display: none;
  }

  .contact-footer {
    margin-top: 4rem;
    text-align: center;
  }

  .contact-footer ul {
    justify-content: center;
  }

  /*======== file page ==========*/
  .file-page .container {
    align-items: flex-start;
    flex-direction: column;
  }

  .file-details {
    padding: 20px;
    width: 95%;
    text-align: center;
    background: #FFFFFF;
    border: 2px solid #042D2D36;
    border-radius: 15px;
    box-shadow: 0px 4px 12px 0px #0000002E;
  }

  .file-details h1 {
    font-size: 20px;
    margin-bottom: 10px;
    color: var(--m-color);
    line-height: 40px;
    font-weight: bold;
  }

  .comment-section form {
    padding: 7px;
    background: none;
  }

  .file-info {
    padding: 27px;
    width: 95%;
    margin-top: 2rem;
    background: #FFFFFF;
    border: 2px solid #042D2D36;
    border-radius: 15px;
    box-shadow: 0px 4px 12px 0px #0000002E;
    margin-bottom: 2rem;
  }

  .file-link a {
    font-size: 14px;
  }

  /*=========== profile ============*/
  .input-section {
    grid-template-columns: repeat(1, 1fr);
  }

  .input-data {
    padding: 10px 1px;
    font-size: 14px;
    background: #FFFFFF;
    border: 2px solid #042D2D36;
    border-radius: 15px;
    box-shadow: 0px 4px 12px 0px #0000002E;
    text-align: center;
  }

  .input-data img {
    height: 25px;
    width: 25px;
    float: left;
    margin-left: 37px;
  }

  .tab {
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 2rem;
    margin-top: -10px;
  }


}

@media screen and  (min-width: 765px) {
  .d-lg-none {
    display: none;
  }

  nav.navbar.navbar-expand-lg.nav-menu {
    margin: 0;
    display: flex;
    align-items: center;
  }

  .logo {
    width: 18%;
  }
}


@media screen and  (max-width: 590px) {
  .counters-sec .boxes .box {
    margin-left: 0;
  }
}
